io.vertx.rxjava.pgclient

## Class PgPool

- java.lang.Object
- - io.vertx.rxjava.sqlclient.SqlClient
  - - io.vertx.rxjava.sqlclient.Pool
    - - io.vertx.rxjava.pgclient.PgPool

-     public class PgPool
      extends Pool

  A of `PostgreSQL connections`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<PgPool>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgPool(Object delegate)`
    `PgPool(PgPool delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `PgPool` | `getDelegate()`
    `int` | `hashCode()`
    `static PgPool` | `newInstance(PgPool arg)`
    `static PgPool` | `pool()` Like `pool()` with a default `poolOptions`.
    `static PgPool` | `pool(PgConnectOptions connectOptions, PoolOptions poolOptions)` Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
    `static PgPool` | `pool(PoolOptions poolOptions)` Like `pool()` with `connectOptions` build from the environment variables.
    `static PgPool` | `pool(String connectionUri)` Like `pool()` with a default `poolOptions`.
    `static PgPool` | `pool(String connectionUri, PoolOptions poolOptions)` Like `pool()` with `connectOptions` build from `connectionUri`.
    `static PgPool` | `pool(Vertx vertx, PgConnectOptions connectOptions, PoolOptions poolOptions)` Like `pool()` with a specific instance.
    `static PgPool` | `pool(Vertx vertx, PoolOptions poolOptions)` Like `pool()` with `connectOptions` build from the environment variables.
    `static PgPool` | `pool(Vertx vertx, String connectionUri)` Like `pool()` with a default `poolOptions`.
    `static PgPool` | `pool(Vertx vertx, String connectionUri, PoolOptions poolOptions)` Like `pool()` with `connectOptions` build from `connectionUri`.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.sqlclient.Pool

      `close, close, getConnection, getConnection, newInstance, pool, pool, pool, preparedQuery, query, rxClose, rxGetConnection, rxWithConnection, rxWithTransaction, withConnection, withConnection, withTransaction, withTransaction`

    - ### Methods inherited from class io.vertx.rxjava.sqlclient.SqlClient

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PgPool> __TYPE_ARG

  - ### Constructor Detail

    - #### PgPool

          public PgPool(PgPool delegate)

    - #### PgPool

          public PgPool(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Pool`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Pool`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Pool`

    - #### getDelegate

          public PgPool getDelegate()

      Overrides:
        `getDelegate` in class `Pool`

    - #### pool

          public static PgPool pool()

      Like `pool()` with a default `poolOptions`.
      Returns:

    - #### pool

          public static PgPool pool(PoolOptions poolOptions)

      Like `pool()` with `connectOptions` build from the environment variables.
      Parameters:
        `poolOptions` -
      Returns:

    - #### pool

          public static PgPool pool(String connectionUri)

      Like `pool()` with a default `poolOptions`.
      Parameters:
        `connectionUri` -
      Returns:

    - #### pool

          public static PgPool pool(String connectionUri,
                                    PoolOptions poolOptions)

      Like `pool()` with `connectOptions` build from `connectionUri`.
      Parameters:
        `connectionUri` -
        `poolOptions` -
      Returns:

    - #### pool

          public static PgPool pool(Vertx vertx,
                                    String connectionUri)

      Like `pool()` with a default `poolOptions`.
      Parameters:
        `vertx` -
        `connectionUri` -
      Returns:

    - #### pool

          public static PgPool pool(Vertx vertx,
                                    PoolOptions poolOptions)

      Like `pool()` with `connectOptions` build from the environment variables.
      Parameters:
        `vertx` -
        `poolOptions` -
      Returns:

    - #### pool

          public static PgPool pool(Vertx vertx,
                                    String connectionUri,
                                    PoolOptions poolOptions)

      Like `pool()` with `connectOptions` build from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
        `poolOptions` -
      Returns:

    - #### pool

          public static PgPool pool(PgConnectOptions connectOptions,
                                    PoolOptions poolOptions)

      Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
      Parameters:
        `connectOptions` -
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          public static PgPool pool(Vertx vertx,
                                    PgConnectOptions connectOptions,
                                    PoolOptions poolOptions)

      Like `pool()` with a specific instance.
      Parameters:
        `vertx` -
        `connectOptions` -
        `poolOptions` -
      Returns:

    - #### newInstance

          public static PgPool newInstance(PgPool arg)

Copyright © 2021 Eclipse. All rights reserved.